Subject: Re: next-20150609 build: 2 failures 40 warnings (next-20150609)

From: Mark Brown <[email-masked]>
Date: Tue, 9 Jun 2015 19:23:05 +0100

On Tue, Jun 09, 2015 at 07:09:47PM +0100, Build bot for Mark Brown wrote:

> 	arm64-allmodconfig
> ERROR: "acpi_gpiochip_request_interrupts" [drivers/gpio/gpio-xgene-sb.ko] undefined!
> ERROR: "acpi_gpiochip_free_interrupts" [drivers/gpio/gpio-xgene-sb.ko] undefined!

Today's -next fails to build an arm64 allmodconfig due to commit
733cf014f02040b3ad (gpio: xgene: add ACPI support for APM X-Gene GPIO
standby driver) which adds ACPI support to the X-Gene standby driver
without either adding a dependency on ACPI or there being stubs in the
ACPI headers for the above functions in !ACPI configurations.  My
instinct is that the stubs are going to be nicer since it'll save on
ifdefs in drivers which seems nicer.